# class KTarData | This class operates on a QDataStream, which is assumed to be a normal tar archive (not gzipped). More...
Definition | `#include <ktar.h>`
Inherits | KTarBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KTarData ( QDataStream * str )
- virtual ~KTarData ()
- virtual bool open ( int mode )
- virtual void close ()

## Detailed Description

This class operates on a QDataStream, which is assumed to be a normal tar archive (not gzipped). This is mainly for use in kio_tar, where the encoding/decoding can be done by any filtering protocol (gzip, bzip2,...) and the data being given by any protocol (file, ftp, http, ...) Using a data stream allows to process a memory buffer (QByteArray) or a file.

KTarData ( QDataStream * str ) | ### KTarData

Constructor, probably

~KTarData () | ### ~KTarData

[virtual]

bool open ( int mode ) | ### open

[virtual]

Opens the tar data for reading or writing.

Parameters:

mode | may be IO_ReadOnly or IO_WriteOnly

Reimplemented from KTarBase.

void close () | ### close

[virtual]

For symmetry

Reimplemented from KTarBase.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.